# $Revision: 1.24 $, $Date: 2011/03/01 06:28:35 $
%include	/usr/lib/rpm/macros.php
%define		_class		Structures
%define		_subclass	Graph
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - graph datastructure manipulation library
Summary(pl.UTF-8):	%{_pearname} - biblioteka do obróbki struktur danych grafów
Name:		php-pear-%{_pearname}
Version:	1.0.4
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b99c5e9ac348a2e81515ba16deb7ded3
URL:		http://pear.php.net/package/Structures_Graph/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear >= 4:1.0-9.5
Requires:	php-pear-PEAR-core >= 1:1.2
Obsoletes:	php-pear-Structures_Graph-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Structures_Graph is a package for creating and manipulating graph
datastructures. It allows building of directed and undirected graphs,
with data and metadata stored in nodes. The library provides functions
for graph traversing as well as for characteristic extraction from the
graph topology.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Za pomocą Structures_Graph możliwe jest tworzenie i manipulacja
strukturami danych grafów. Pakiet pozwala tworzyć grafy skierowane i
nieskierowane z danymi i metadanymi zapisanymi w wierzchołkach.
Biblioteka dostarcza funkcje do przechodzenia grafów, a także
wyciągania charakterystyki z topologii grafu.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

rm .%{php_pear_dir}/data/Structures_Graph/LICENSE

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Structures_Graph.spec,v $
Revision 1.24  2011/03/01 06:28:35  glen
- release 2

Revision 1.23  2011/01/23 01:03:27  sparky
- dropped -tests subpackage

Revision 1.22  2010/11/16 08:23:36  glen
- updated to: 1.0.4

Revision 1.21  2010/08/20 12:37:06  glen
- up to 1.0.3

Revision 1.20  2008/01/31 12:16:50  glen
- rel 3

Revision 1.19  2007-09-13 11:16:43  baggins
- rel 2

Revision 1.18  2007/02/28 01:49:10  glen
- 1.0.2, added -tests

Revision 1.17  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.15  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.14  2006/03/29 22:21:13  glen
- rel 5 (rebuild with less deps)

Revision 1.13  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.12  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.11  2005/10/30 23:00:19  glen
- Structures dir is in php-pear

Revision 1.10  2005/10/05 20:59:32  glen
- rel 3

Revision 1.9  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.8  2005/09/29 19:40:43  glen
- new pear packaging

Revision 1.7  2004/12/04 14:21:00  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.6  2004/07/08 19:46:22  adamg
- updated to 1.0.1

Revision 1.5  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.4  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.3  2004/02/23 00:12:44  qboosh
- finished pl

Revision 1.2  2004/02/22 20:52:59  adamg
- License fixed

Revision 1.1  2004/02/22 19:23:11  adamg
- initial import
